Bug 129271 - The Counter Field on the Configuration Tab does not allow Delete/Backspace
Summary: The Counter Field on the Configuration Tab does not allow Delete/Backspace
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Developer Suite
Classification: Retired
Component: Profiling Plug-in   
(Show other bugs)
Version: 2.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Aaron Luchko
QA Contact: eclipse-bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-05 18:59 UTC by Phil Muldoon
Modified: 2007-04-18 17:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-11 19:18:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Phil Muldoon 2004-08-05 18:59:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040301

Description of problem:
In the test plan, step 10 asks you enter in the "Count" field in the
"Configuration" tab of the Profile launch config, the number "12345".
However, delete/backspace events are ignored in this field, and the
existing number pre-populated in there cannot be removed.

Version-Release number of selected component (if applicable):
eclipse-oprofile-1.1.0-5

How reproducible:
Always

Steps to Reproduce:
1. Checkout oprofile test plan
2. Follow steps to 10
3. Attempt step 10
    

Actual Results:  The "Count" field does not allow deletion of existing
values

Expected Results:  Delete and Backspace keystroke events are handled,
and allow character deletion in the field

Additional info:

Comment 1 Aaron Luchko 2004-08-11 19:18:17 UTC
Changed OprofileEventConfigTab.java verifyText to allow a non-text
event (such as a backspace or delete) to execute.


Note You need to log in before you can comment on or make changes to this bug.